Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.taglib
Class PortletTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.portal.portlet.impl.jsr168.taglib.PortletTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  ActionURLTag, DefineObjectsTag, NamespaceTag, RenderURLTag

    public class PortletTag

extends javax.servlet.jsp.tagext.TagSupport

Superclass of the portlet tags for the JSR 168 Portlet specification.

Provides hooks into the portlet environment

Version:
  $Revision: 5448 $
Author:
  Sherman Wood
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PortletTag()`

Method Summary
`protected PortletConfig` | `getConfig()`
`protected javax.servlet.http.HttpServletRequest` | `getDispatchedRequest()`
`protected PortletInvocation` | `getInvocation()` Set up the environment for accessing the portlat environment
`protected RenderRequest` | `getRequest()`
`protected RenderResponse` | `getResponse()`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletTag

    public PortletTag()

Method Detail

### getDispatchedRequest

    protected javax.servlet.http.HttpServletRequest getDispatchedRequest()

### getRequest

    protected RenderRequest getRequest()

### getResponse

    protected RenderResponse getResponse()

### getConfig

    protected PortletConfig getConfig()

### getInvocation

    protected PortletInvocation getInvocation()

  Set up the environment for accessing the portlat environment

  Returns:
    The invocation that called the superclasses of this tag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD